# NodeSelector Class Reference

Base class for selecting nodes. More...

`#include <NodeSelector.h>`

Inheritance diagram for NodeSelector:

List of all members.

## Public Member Functions

virtual NodeSelection | select_node (Sym sym) const =0

## Detailed Description

Base class for selecting nodes.

Definition at line 24 of file NodeSelector.h.

The documentation for this class was generated from the following file:

- NodeSelector.h